var VersatileMenus = {
    init: function() {
        $('#id_content_type').change( 
            function() {
                VersatileMenus.update_content_object_list();
            })
        $('#id_object_id').change(
            function() {
                VersatileMenus.get_absolute_url();
            })
    },
    update_content_object_list: function() {
        var curr = $('#id_content_type').val()
        $('#id_object_id').load("/admin/versatile_menus/menu/update_content_object_list/", "content_type=" + curr)
    },
    get_absolute_url: function() {
        var curr = $('#id_content_type').val()
        if(curr=='') {
            return False;
        }

        var obj = $('#id_object_id').val()
        $('#id_url').load("/admin/versatile_menus/menu/get_absolute_url/", "content_type=" + curr + "&amp;object_id=" + obj, 
            function(response, textStatus, request) {
                this.value = response;
            })
    }
}

$(document).ready(VersatileMenus.init);
